import numpy as np
import matplotlib.pyplot as plt

parametros = { 'C': [0.001, 0.01, 0.1, 1.0 , 10.0, 100.0],
           'gamma': [0.001, 0.01, 0.1, 1.0 , 10.0, 100.0] }

M = np.loadtxt( "r.txt" )

fig, ax1 = plt.subplots( )
# Los datos de entrenamiento
ax1.set_xlabel( 'gama' )
ax1.set_ylabel( 'C' )
ax1.set_xticks(np.arange(len(parametros['gamma'])) )
ax1.set_yticks(np.arange(len(parametros['C'] )) )
ax1.set_xticklabels( parametros['gamma'] )
ax1.set_yticklabels( parametros['C'] )
ax1.imshow( M, cmap="viridis", origin='lower' )

for i in range( len(parametros['gamma']) ):
	for j in range( len(parametros['C']) ):
		if M[i, j] > 0.8 :
			ax1.text(j, i, M[i, j], ha="center", va="center", color="b")
		else :
			ax1.text(j, i, M[i, j], ha="center", va="center", color="w")

fig.tight_layout()

plt.show( )


